Как заставить Homebrew распознать установку Git?

Я установил доморощенного и исправлены все ошибки, о которых сообщает brew doctor, кроме этой:

martinjames$ brew doctor
Warning: An outdated version of Git was detected in your PATH.
Git 1.7.10 or newer is required to perform checkouts over HTTPS from GitHub.
Please upgrade: brew upgrade git

Я принимаю советы доморощенного:

martinjames$ brew upgrade git
Error: git not installed

Итак, я проверяю git:

martinjames$ which git
/usr/bin/git

и я проверяю версию:

martinjames$ git --version
git version 1.7.5.4

что дальше?

5
задан jamesnotjim
источник

1 ответов

таким образом, ответ включал две вещи. Во-первых, мне нужно было это сделать:

brew update

и затем это:

brew install git

команда brew doctor сообщила о проблеме с моим путем ,поэтому я закончил создание.bash_profile в моем домашнем каталоге, чтобы убедиться, что /usr / local /bin пришел раньше/usr / bin.

теперь я готов заварить!

1
отвечен jamesnotjim 2013-05-08 20:11:30
источник

Другие вопросы homebrew terminal